Bug 197369 - CVE-2006-3174 Squirrelmail XSS flaw
CVE-2006-3174 Squirrelmail XSS flaw
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: squirrelmail (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Warren Togami
source=cve,reported=20060622,impact=l...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-30 12:47 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: squirrelmail-1.4.7-2.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-10 13:20:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-06-30 12:47:28 EDT
Squirrelmail XSS flaw

A cross site scripting bug was found in the way squirrelmail displays
the "mailbox" parameter when passed to the search.php script.

This issue is only an issue when register_globals is enabled, which is
not suggested under any circumstances.

The original report is here:
http://pridels.blogspot.com/2006/06/squirrelmail-151-xss-vuln.html

The patch is here:
http://squirrelmail.cvs.sourceforge.net/squirrelmail/squirrelmail/src/search.php?r1=1.92.2.15&r2=1.92.2.16


This issue also affects FC4
Comment 1 Warren Togami 2006-07-10 13:20:31 EDT
Pushed in
squirrelmail-1.4.7-2.fc4
squirrelmail-1.4.7-2.fc5

Note You need to log in before you can comment on or make changes to this bug.